org.apache.cassandra.cql3

## Class UntypedResultSet

- java.lang.Object
- - org.apache.cassandra.cql3.UntypedResultSet

All Implemented Interfaces:
  java.lang.Iterable<UntypedResultSet.Row>

    public class UntypedResultSet
    extends java.lang.Object
    implements java.lang.Iterable<UntypedResultSet.Row>

a utility for doing internal cql-based queries

### Nested Class Summary

Nested Classes
`static class` `UntypedResultSet.Row`

### Constructor Summary

Constructors
Constructor and Description
`UntypedResultSet(ResultSet cqlRows)`

### Method Summary

Methods
`boolean` `isEmpty()`
`java.util.Iterator<UntypedResultSet.Row>` `iterator()`
`UntypedResultSet.Row` `one()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UntypedResultSet

    public UntypedResultSet(ResultSet cqlRows)

### Method Detail

#### isEmpty

    public boolean isEmpty()

#### size

    public int size()

#### one

    public UntypedResultSet.Row one()

#### iterator

    public java.util.Iterator<UntypedResultSet.Row> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<UntypedResultSet.Row>`